## EFilterElement EFilterElement |

## Functions

EFilterElement * | e_filter_element_new ()
void | e_filter_element_set_data ()
gboolean | e_filter_element_validate ()
gint | e_filter_element_eq ()
void | e_filter_element_xml_create ()
xmlNodePtr | e_filter_element_xml_encode ()
gint | e_filter_element_xml_decode ()
EFilterElement * | e_filter_element_clone ()
void | e_filter_element_copy_value ()
GtkWidget * | e_filter_element_get_widget ()
void | e_filter_element_build_code ()
void | e_filter_element_format_sexp ()
void | e_filter_element_describe ()

## Types and Values

#define | E_FILTER_ELEMENT_DESCRIPTION_VALUE_START
#define | E_FILTER_ELEMENT_DESCRIPTION_VALUE_END
#define | E_FILTER_ELEMENT_DESCRIPTION_COLOR_START
#define | E_FILTER_ELEMENT_DESCRIPTION_COLOR_END

## Object Hierarchy

        GObject
        ╰── EFilterElement
            ├── EFilterInput
            ├── EFilterColor
            ├── EFilterDatespec
            ├── EFilterFile
            ├── EFilterInt
            ├── EFilterLabel
            ╰── EFilterOption

## Description

## Functions

### e_filter_element_new ()

    EFilterElement *
    e_filter_element_new (void);

### e_filter_element_set_data ()

    void
    e_filter_element_set_data (EFilterElement *element,
                               gpointer data);

### e_filter_element_validate ()

    gboolean
    e_filter_element_validate (EFilterElement *element,
                               EAlert **alert);

### e_filter_element_eq ()

    gint
    e_filter_element_eq (EFilterElement *element_a,
                         EFilterElement *element_b);

### e_filter_element_xml_create ()

    void
    e_filter_element_xml_create (EFilterElement *element,
                                 xmlNodePtr node);

### e_filter_element_xml_encode ()

    xmlNodePtr
    e_filter_element_xml_encode (EFilterElement *element);

### e_filter_element_xml_decode ()

    gint
    e_filter_element_xml_decode (EFilterElement *element,
                                 xmlNodePtr node);

### e_filter_element_clone ()

    EFilterElement *
    e_filter_element_clone (EFilterElement *element);

### e_filter_element_copy_value ()

    void
    e_filter_element_copy_value (EFilterElement *dst_element,
                                 EFilterElement *src_element);

### e_filter_element_get_widget ()

    GtkWidget *
    e_filter_element_get_widget (EFilterElement *element);

Create a widget to represent this element.

#### Parameters

fe | filter element |

#### Returns

a new GtkWidget.

[transfer full]

### e_filter_element_build_code ()

    void
    e_filter_element_build_code (EFilterElement *element,
                                 GString *out,
                                 struct _EFilterPart *part);

### e_filter_element_format_sexp ()

    void
    e_filter_element_format_sexp (EFilterElement *element,
                                  GString *out);

### e_filter_element_describe ()

    void
    e_filter_element_describe (EFilterElement *element,
                               GString *out);

Describes the `element` in a human-readable way.

#### Parameters

fe | filter element |
out | a GString to add the description to |

## Types and Values

### E_FILTER_ELEMENT_DESCRIPTION_VALUE_START

    #define E_FILTER_ELEMENT_DESCRIPTION_VALUE_START '\1'

### E_FILTER_ELEMENT_DESCRIPTION_VALUE_END

    #define E_FILTER_ELEMENT_DESCRIPTION_VALUE_END '\2'

### E_FILTER_ELEMENT_DESCRIPTION_COLOR_START

    #define E_FILTER_ELEMENT_DESCRIPTION_COLOR_START '\3'

### E_FILTER_ELEMENT_DESCRIPTION_COLOR_END

    #define E_FILTER_ELEMENT_DESCRIPTION_COLOR_END '\4'